select.mediaobject
Prev | Common » Base Template Reference | Next

## select.mediaobject

select.mediaobject — Selects and processes an appropriate media object from a list

## Synopsis

    <xsl:template name="select.mediaobject">
    <xsl:param name="olist" select="d:imageobject|d:imageobjectco                      |d:videoobject|d:audioobject|d:textobject"/>
      ...
    </xsl:template>

## Description

This template takes a list of media objects (usually the children of a mediaobject or inlinemediaobject) and processes the "right" object.

This template relies on a template named "select.mediaobject.index" to determine which object in the list is appropriate.

If no acceptable object is located, nothing happens.

## Parameters

olist

  The node list of potential objects to examine.

## Returns

Calls <xsl:apply-templates> on the selected object.

Prev | Up | Next
qanda.section.level | Home | select.mediaobject.index